pipeline {
    agent {
        docker {
                image 'maven:3.8.1-adoptopenjdk-11'
                args '-v /root/.m2:/root/.m2'
        }
   }
    stages {
            stage('Build AIVDMDecoder') {
                steps {
                    sh 'pwd'
                    sh 'mvn clean install'
                }
            }
            stage('Upload AIVDMDecoder libs to Fernando.Engineer Lab Repository') {
                 steps {
                       nexusArtifactUploader artifacts: [
                            [
                              artifactId: 'AIVDMDecoder',
                              classifier: '',
                              file: '/var/lib/jenkins/workspace/AIVDMDecoder/target/AIVDMDecoder-1.0.jar',
                              type: 'jar'
                            ]
                       ],
                       credentialsId: 'nexus3',
                       groupId: 'engineer.fernando',
                       nexusUrl: 'nexus.fernando.engineer',
                       nexusVersion: 'nexus3',
                       protocol: 'https',
                       repository: 'fjcapeletto-releases',
                       version: '1.0'
                }
            }
    }
}
